package com.aucma.base.service;

import java.util.List;
import com.aucma.base.domain.OrderBomInfo;

/**
 * 产品BOMService接口
 * 
 * @author Yinq
 * @date 2023-09-28
 */
public interface IOrderBomInfoService 
{
    /**
     * 查询产品BOM
     * 
     * @param objId 产品BOM主键
     * @return 产品BOM
     */
    public OrderBomInfo selectOrderBomInfoByObjId(Long objId);

    /**
     * 查询产品BOM列表
     * 
     * @param orderBomInfo 产品BOM
     * @return 产品BOM集合
     */
    public List<OrderBomInfo> selectOrderBomInfoList(OrderBomInfo orderBomInfo);

    /**
     * 新增产品BOM
     * 
     * @param orderBomInfo 产品BOM
     * @return 结果
     */
    public int insertOrderBomInfo(OrderBomInfo orderBomInfo);

    /**
     * 修改产品BOM
     * 
     * @param orderBomInfo 产品BOM
     * @return 结果
     */
    public int updateOrderBomInfo(OrderBomInfo orderBomInfo);

    /**
     * 批量删除产品BOM
     * 
     * @param objIds 需要删除的产品BOM主键集合
     * @return 结果
     */
    public int deleteOrderBomInfoByObjIds(Long[] objIds);

    /**
     * 删除产品BOM信息
     * 
     * @param objId 产品BOM主键
     * @return 结果
     */
    public int deleteOrderBomInfoByObjId(Long objId);

    /**
     * 根据物料小类查询产品BOM列表
     *
     * @param materialType 物料小类
     * @return 产品BOM集合
     */
    public List<OrderBomInfo> selectOrderBomListByMaterialType(String materialType);
}
